Subject: Re: bug#25860: 25.1; Double macro execution

From: Tino Calancha <[email-masked]>
Date: Sun, 26 Feb 2017 14:04:31 +0900

Marek Twardochlib <[email-masked]> writes:

>> How did you do that?
>
> C-x ( M-x insert-a RET C-x )
>
> The first macro, insert-a, was defined with:
> C-x ( a RET C-x )
> and then named with:
> C-x C-k n insert-a RET
>
> The wrong behavior (double execution) will happen as well when I bind
> macro defintion to a key and later use this key sequence in the second
> macro.
>
> This macro mistake occur only in Emacs version 25.1.1. In 24.1 and
> earlier everything works properly.
Thank you for the additional information.
You are right.  This is a regression introduced in Emacs 25.1.

I] Not observed with Emacs-24.5.
II] I reproduce the issue with Emacs-25.1.
*)  I see the issue with Emacs-25.1 even after loading kmacro.el
    from Emacs-24.5.  That seems to point to changes in the
    C source code; maybe some changes in src/macro.c?

I am having some difficulties to do a bisect to track down
changes in macro.c.  Maybe someone can do it much faster and find
the commit causing this issue.